use chromium::rocket::Chromium;
use nanobyte_opentelemetry::rocket::TracingFairing;
use rocket::{Rocket, Build, routes};
pub mod routes;
mod chromium;
mod tools;


pub fn rocket_builder() -> Rocket<Build> {
    rocket::build()
        .attach(TracingFairing::ignite())
        .attach(Chromium::ignite())
        .mount("/", routes![
            routes::pdf::render_pdf_cv,
            routes::pdf::render_html_cv
        ])
}