use rocket::{request::{FromRequest, Outcome}, Request};
use tera::Tera;

#[derive(Debug)]
pub struct NanoTera(pub Tera);


// Allows a route to access the span
#[rocket::async_trait]
impl<'r> FromRequest<'r> for NanoTera {
    type Error = ();

    async fn from_request(request: &'r Request<'_>) -> Outcome<Self, ()> {
        rocket::outcome::Outcome::Success(NanoTera(Tera::new("templates/*").unwrap()))
    }
}